Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.wsse
Class WSSEReader

    java.lang.Object
      weblogic.xml.security.utils.XMLObjectReader
          weblogic.xml.security.wsse.WSSEReader

All Implemented Interfaces:
  weblogic.xml.security.wsse.v200207.WSSEConstants

Deprecated. please use new WS Security API

    public class WSSEReader

extends weblogic.xml.security.utils.XMLObjectReader
implements weblogic.xml.security.wsse.v200207.WSSEConstants

Field Summary

Fields inherited from interface weblogic.xml.security.wsse.v200207.WSSEConstants
`ATTR_ENCODING, ATTR_MUST_UNDERSTAND, ATTR_ROLE, ATTR_TYPE, ATTR_URI, ATTR_VALUETYPE, C14N_INCLUSIVE_NAMESPACES, C14N_INCLUSIVE_PROPERTY, DEFAULT_ENCODING, DEFAULT_PREFIX, DEFAULT_URI, DEFAULT_USERNAME_TOKEN_URI, DEFAULT_WSSE_PREFIX_URI, DEFAULT_X509_URI, ENCODING_BASE64, FAULT_FAILEDAUTHENTICATION, FAULT_FAILEDCHECK, FAULT_INVALIDSECURITY, FAULT_INVALIDSECURITYTOKEN, FAULT_SECURITYTOKENUNAVAILBLE, FAULT_UNSUPPORTEDALGORITHM, FAULT_UNSUPPORTEDSECURITYTOKEN, ID_NAMESPACES, OASIS_INTEROP_URI, PASSWORDTYPE_PASSWORDDIGEST, PASSWORDTYPE_PASSWORDTEXT, PROVIDED_URI, QNAME_ATTR_VALUETYPE, QNAME_FAULT_FAILEDAUTHENTICATION, QNAME_FAULT_FAILEDCHECK, QNAME_FAULT_INVALIDSECURITY, QNAME_FAULT_INVALIDSECURITYTOKEN, QNAME_FAULT_SECURITYTOKENUNAVAILBLE, QNAME_FAULT_UNSUPPORTEDALGORITHM, QNAME_FAULT_UNSUPPORTEDSECURITYTOKEN, QNAME_PASSWORDTYPE_PASSWORDTEXT, SIGN_BST, SIGN_BST_PROPERTY, TAG_BINARY_SECURITY_TOKEN, TAG_KEY_IDENTIFIER, TAG_NONCE, TAG_PASSWORD, TAG_REFERENCE, TAG_SECURITY, TAG_SECURITY_TOKEN_REFERENCE, TAG_USERNAME, TAG_USERNAME_TOKEN, TC_BINARY_SECURITY_TOKEN, TC_KEY_IDENTIFIER, TC_PASSWORD, TC_REFERENCE, TC_SECURITY, TC_SECURITY_TOKEN_REFERNCE, TC_USERNAME, TC_USERNAME_TOKEN, USERNAME_TOKEN_URI, USERNAME_TOKEN_URI_PROP, VALUETYPE_PKCS7, VALUETYPE_PKIPATH, VALUETYPE_X509SKID, VALUETYPE_X509V3, WSSE_PREFIX_URI, WSSE_PREFIX_URI_PROP, WSSE_URI, WSSE_URI_PROPERTY, X509_URI, X509_URI_PROP`

Method Summary
`static Object` | `read(XMLInputStream in)` Deprecated.
`static Object` | `read(XMLInputStream in, int tc)` Deprecated.
`Object` | `readObjectInternal(int tc, String ns, XMLInputStream xin)` Deprecated.

Methods inherited from class weblogic.xml.security.utils.XMLObjectReader
`readObject, readObject, register`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readObjectInternal

    public Object readObjectInternal(int tc,
                                     String ns,
                                     XMLInputStream xin)
                              throws XMLStreamException

  Deprecated.
  Specified by:
    `readObjectInternal` in class `weblogic.xml.security.utils.XMLObjectReader`
  Throws:
    `XMLStreamException`

### read

    public static Object read(XMLInputStream in)
                       throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### read

    public static Object read(XMLInputStream in,
                              int tc)
                       throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD